package com.fs.course.service;

import com.fs.common.core.domain.R;
import com.fs.course.domain.FsUserCourseNoteLike;

import java.util.List;

/**
 * 课堂笔记点赞Service接口
 *
 * @author fs
 * @date 2024-05-15
 */
public interface IFsUserCourseNoteLikeService
{
    /**
     * 查询课堂笔记点赞
     *
     * @param id 课堂笔记点赞主键
     * @return 课堂笔记点赞
     */
    public FsUserCourseNoteLike selectFsUserCourseNoteLikeById(Long id);

    /**
     * 查询课堂笔记点赞列表
     *
     * @param fsUserCourseNoteLike 课堂笔记点赞
     * @return 课堂笔记点赞集合
     */
    public List<FsUserCourseNoteLike> selectFsUserCourseNoteLikeList(FsUserCourseNoteLike fsUserCourseNoteLike);

    /**
     * 新增课堂笔记点赞
     *
     * @param fsUserCourseNoteLike 课堂笔记点赞
     * @return 结果
     */
    public int insertFsUserCourseNoteLike(FsUserCourseNoteLike fsUserCourseNoteLike);

    /**
     * 修改课堂笔记点赞
     *
     * @param fsUserCourseNoteLike 课堂笔记点赞
     * @return 结果
     */
    public int updateFsUserCourseNoteLike(FsUserCourseNoteLike fsUserCourseNoteLike);

    /**
     * 批量删除课堂笔记点赞
     *
     * @param ids 需要删除的课堂笔记点赞主键集合
     * @return 结果
     */
    public int deleteFsUserCourseNoteLikeByIds(Long[] ids);

    /**
     * 删除课堂笔记点赞信息
     *
     * @param id 课堂笔记点赞主键
     * @return 结果
     */
    public int deleteFsUserCourseNoteLikeById(Long id);

    R checkLike(Long noteId, long userId);

    int deleteLike(Long noteId, long userId);
}
